I have a problem when I execute the qiime tools import

@devonorourke Hi, I have a problem when I execute the qiime tools import
--type EMPpairedEndSequences
--input-path emp-paired-end-sequences
--output-path emp-paired-end-sequences.qza
It is saying qiime: command not found
Could you please advise?
I am today years old with ubuntu qiime2 (it is rocket science to me) and any help would be highly appreciated
Thank you in advance
Stephanie

@SoilRotifer Hi!
I noticed on the forum you answered a question regarding the qiime nit found while import tools
I know nothing about ubuntu and commands, a friend installed it for me
here are some steps:
~/anaconda3$ conda create -n qiime2-2021.4
Solving environment: done

==> WARNING: A newer version of conda exists. <==
current version: 4.5.11
latest version: 4.10.3

Please update conda by running

$ conda update -n base -c defaults conda

Package Plan

environment location: /home/sgrg/anaconda3/envs/qiime2-2021.4

:~/anaconda3$ conda activate qiime2-2021.4
(qiime2-2021.4) [email protected]:~/anaconda3$ ls
LICENSE.txt compiler_compat doc etc lib man phrasebooks plugins resources ssl var x86_64-conda_cos6-linux-gnu
bin conda-meta envs include libexec mkspecs pkgs qml share translations vscode_inst.py.log
(qiime2-2021.4) [email protected]:~/anaconda3$ cd ..
(qiime2-2021.4) [email protected]:~ ls Anaconda3-5.3.1-Linux-x86_64.sh anaconda3 qiime2-2021.4-py38-linux-conda.yml qiime2-2021.4-py38-linux-conda.yml.1 test1 (qiime2-2021.4) [email protected]:~ qiime --help
qiime: command not found
Could you plz advise what is wrong and why I am getting qiim not found
Thank you in advance
Stephanie

Hey there @Steph ,

It looks like you installed a Conda environment successfully, which is why you go from this:

:~/anaconda3$ conda activate qiime2-2021.4

to this:

(qiime2-2021.4) [email protected]:~/anaconda3$ ls

Notice the prompt begins with a (qiime2-2021.4) in parentheses? That's a good indication that whatever you named your Conda environment is currently active, however, it doesn't actually mean you have installed anything in particular. I take it you and your friend installed via Conda using these instructions?

The error message you're receiving suggests that the program named qiime isn't found in the Conda environment named qiime2-2021.4. I'd suggest starting by confirming that what you think is supposed to be installed is really there. Without activating the environment, try something like this, and scroll down and see if QIIME is in the list:

conda list -n qiime2-2021.4

It might be the case that you've created a named Conda environment (qiime2-2021.4), but haven't yet actually installed any of the QIIME-related programs in that environment. You should have all the instructions you need on that front in the link I provided earlier.

Best of luck - and don't worry, the rocket science gets easier every day you work at it.

4 Likes

Hi @devonorourke ,

Thank you for your prompt reply!!

Yes we installed it following these instructions.

But when it comes to test your installation by activating your QIIME 2 environment and running:

The command qiime help says qiime not found.

I tried conda list -n qiime2-2021.4 on base but QIIME is not in the list.


I guess I reinstalled qiime2-2021.4 according to the instructions.

Thank you again in advance for any help you can provide
Stephanie

In that second screenshot it looks like you tried reinstalling the Conda environment the right way, but you hit an error because you tried using an environment name that was already used. Let’s try something similar, but use an alternative Conda environment name:

Can you try running this instead...

conda env create -n q2env --file qiime2-2021.4-py38-linux-conda.yml

Then run
conda list -n q2env

and see if qiime is installed successfully?

4 Likes

Thank you!! @devonorourke problem solved!
time to explore qiime...
Best,
Stephanie

3 Likes

Great to hear - good luck!
:rocket:

3 Likes

An off-topic reply has been split into a new topic: Importing Data into QIIME 2

Please keep replies on-topic in the future.